package com.sqx.modules.timedtask.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.timedtask.entity.RiderLocation;

import java.util.HashMap;
import java.util.List;

public interface RiderLocationService extends IService<RiderLocation> {

    Result riderLocation(Long userId, Double lng, Double lat, String province, String city, String district);


    HashMap<String,Object> selectAllRiderLocation(String province, String city, String district, String nickName);

    int getUserRiderCount(String city, Double lng, Double lat);

    List<HashMap<String,Object>> getRiderCount(Long userId, String city, Double lng, Double lat);
}
